# MPQC::SimpleDriver_impl Class Reference

Symbol "MPQC.SimpleDriver" (version 0.2). More...

`#include <MPQC_SimpleDriver_Impl.hh>`

List of all members.

## Public Member Functions

| SimpleDriver_impl (struct MPQC_SimpleDriver__object *s)
void | _ctor ()
void | _dtor ()
void | setServices (::gov::cca::Services services) throw ( ::gov::cca::CCAException )
| Starts up a component presence in the calling framework.
int32_t | go () throw ()
| Execute some encapsulated functionality on the component.

## Static Public Member Functions

static void | _load ()

## Detailed Description

Symbol "MPQC.SimpleDriver" (version 0.2).

## Member Function Documentation

int32_t MPQC::SimpleDriver_impl::go | ( |  | ) | throw ()

Execute some encapsulated functionality on the component.

Return 0 if ok, -1 if internal error but component may be used further, and -2 if error so severe that component cannot be further used safely.

void MPQC::SimpleDriver_impl::setServices | ( | ::gov::cca::Services | services | ) | throw ( ::gov::cca::CCAException )

Starts up a component presence in the calling framework.

Parameters:

  | Svc | the component instance's handle on the framework world. Contracts concerning Svc and setServices:

The component interaction with the CCA framework and Ports begins on the call to setServices by the framework.

This function is called exactly once for each instance created by the framework.

The argument Svc will never be nil/null.

Those uses ports which are automatically connected by the framework (so-called service-ports) may be obtained via getPort during setServices.

The documentation for this class was generated from the following file:

- MPQC_SimpleDriver_Impl.hh